# ConcatenateImages

## Brief Description

Concatenate a list of images of the same size into a single multi-channel one.

## Tags

Image Manipulation,Concatenation,Multi-channel

## Long Description

This application performs images channels concatenation. It will walk the input image list (single or multi-channel) and generates a single multi-channel image. The channel order is the one of the list.

## Parameters

- [param] -il <string> The list of images to concatenate. Mandatory: True. Default Value: "0"
- [param] -out <string> The concatenated output image. Mandatory: True. Default Value: ""
- [param] -ram <int32> Available memory for processing (in MB). Mandatory: False. Default Value: "128"

## Limitations

All input images must have the same size.

## Authors

OTB-Team

## See Also

Rescale application, Convert

## Example of use

- il: GomaAvant.png GomaApres.png

- out: otbConcatenateImages.tif